Bug 800472 - as7 plugin: can't add new deployment scanner
as7 plugin: can't add new deployment scanner
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-03-06 09:23 EST by Heiko W. Rupp
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:10:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-03-06 09:23:15 EST
2012-03-06 15:21:05,628 WARN  [WorkerThread#0[172.31.7.7:57426]] (rhq.core.pc.configuration.LegacyConfigManagement)- Plugin Error: Invalid DeploymentScanner Resource configuration returned by jboss-as-7 plugin - Required property 'name' has a null value in PropertyMap[id=0, name=scanner, map={name=PropertySimple[id=0, name=name, value=null, override=null], path=PropertySimple[id=0, name=path, value=deployments, override=null], relative-to=PropertySimple[id=0, name=relative-to, value=jboss.server.base.dir, override=null], scan-enabled=PropertySimple[id=0, name=scan-enabled, value=true, override=null], scan-interval=PropertySimple[id=0, name=scan-interval, value=0, override=null], auto-deploy-zipped=PropertySimple[id=0, name=auto-deploy-zipped, value=true, override=null], auto-deploy-exploded=PropertySimple[id=0, name=auto-deploy-exploded, value=false, override=null], deployment-timeout=PropertySimple[id=0, name=deployment-timeout, value=60, override=null]}].
Comment 1 Heiko W. Rupp 2012-03-07 08:42:09 EST
deployment scanners have no 'name' property ; adding a new one needs to be done on some synthetic value


[14:37:59] <pilhuhn> Question about /subsystem=deployment-scanner/scanner=xxx -- when I want to add one, there is no designated name attribute (like the one in socket-binding=foo) -- am I supposed to just use an arbitrary name here?
[14:39:37] <+emuckenhuber> hmm, actually the =xxx is the name
[14:39:58] <+emuckenhuber> the name attribute in socket-binding=foo is basically always foo
[14:40:18] <pilhuhn> sure -- but in the socket-binding case the xxx is reflected inside in the name attribute
[14:40:22] <+emuckenhuber> and should be removed... we might keep it for backwards compability though
[14:40:39] <pilhuhn> you guys kill me ..

[14:41:10] <+emuckenhuber> well it's part of the address, so it does not provide any useful information
Comment 2 Heiko W. Rupp 2012-03-09 08:31:13 EST
See also https://issues.jboss.org/browse/AS7-4122
Comment 3 Mike Foley 2012-03-12 11:33:12 EDT
per 3/12/2012 bz triage (loleary, crouch, foley)
Comment 4 Heiko W. Rupp 2012-03-12 12:04:16 EDT
master 1d284b7b11113ed
Comment 5 Heiko W. Rupp 2013-08-31 06:10:41 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.